{
	"name": "plugin/nc-calc-server/column/company-customer.json",
	"option": {
		"cell_class_rules": {
			"nc-grid-cell-changed": "data.link_rec && recDataDifferent(data.link_rec, colDef, x)"
		},
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "co.company_id",
			"record_type": "customer",
			"variable": "idx",
			"width": 65
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"variable": "change_status",
			"width": 65
		},
		{
			"field": "co.json_data.transfer_id",
			"name": "Transfer id",
			"width": 90
		},
		{
			"field": "co.company_id",
			"width": 120,
			"default_value": {
				"organization_id": {
					"odoo": {
						"copy_value": {
							"company_id": "json_data.transfer_id"
						}
					}
				}
			}
		},
		{
			"field": "co.company_number",
			"name": "Number",
			"width": 80,
			"default_value": {
				"organization_id": {
					"odoo": {
						"copy_value": {
							"company_number": "json_data.transfer_id"
						}
					}
				}
			}
		},
		{
			"change_compare": false,
			"field": "co.json_data.trade_registry_number",
			"name": "Y-tunnus",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.json_data.vat_number",
			"name": "ALV numero",
			"width": 120
		},
		{
			"field": "co.company_type",
			"name": "Type",
			"width": 80
		},
		{
			"field": "co.json_data.is_company",
			"name": "Company",
			"width": 90,
			"organization_id": { "4d": { "load": false }, "": { "load": false } }
		},
		{
			"field": "co.name",
			"name_fi": "Nimi",
			"width": 220
		},
		{
			"change_compare": false,
			"field": "co.json_data.electronic_invoice_address",
			"name": "Verkkolaskuosoite",
			"width": 130
		},
		{
			"field": "co.address",
			"width": 200
		},
		{
			"field": "co.country",
			"width": 80
		},
		{
			"field": "co.text_address",
			"width": 300
		},
		{
			"field": "co.post_office",
			"name": "Postitoimipaikka",
			"width": 110
		},
		{
			"field": "co.post_code",
			"name": "Postinumero",
			"width": 100
		},
		{
			"field": "co.json_data.telephone_area_code",
			"width": 120
		},
		{
			"field": "co.phone",
			"width": 120
		},
		{
			"field": "co.www",
			"width": 120
		},
		{
			"field": "co.currency_id",
			"width": 90
		},
		{
			"field": "co.email",
			"width": 200
		},
		{
			"field": "co.create_time",
			"width": 180
		},
		{
			"field": "co.modify_user",
			"width": 120
		},
		{
			"info": "Default_Sales_Person_id",
			"field": "per.full_name",
			"tag": "SellerContactPersonName",
			"mandatory": "M",
			"from_static-": "Pasi Mankinen"
		},
		{
			"change_compare": false,
			"field": "co.phone",
			"organization_id": { "finvoice": { "load": false } },
			"name": "Puhelinnumero",
			"width": 120
		},
		{
			"change_compare": false,
			"field": "co.json_data.bank_account",
			"name": "Pankkitilinnumero",
			"width": 120
		},
		{
			"field": "co.json_data.intermediator",
			"name": "Välittäjä",
			"width": 90
		},
		{
			"data_type": "date",
			"field": "ord.order_date",
			"width": 90
		},
		{
			"field": "ord.our_reference",
			"tag": "SellerReferenceIdentifier",
			"width": 100
		},
		{
			"field": "ord.company_reference_number",
			"tag": "OrderIdentifier",
			"width": 90
		},
		{
			"field": "ord.price_without_vat",
			"width": 110
		},
		{
			"field": "ord.vat_price",
			"width": 90
		},
		{
			"field": "ord.price_with_vat",
			"width": 110
		},
		{
			"field": "ord.note",
			"length": "70",
			"width": 90
		},
		{
			"field": "top.name",
			"width": 90
		},
		{
			"field": "ord.due_date",
			"width": 90
		},
		{
			"field": "ord.json_data.remark_time",
			"width": 100
		},
		{
			"field": "ord.json_data.penalty_interest_percent",
			"width": 120
		},
		{
			"field": "ord.json_data.bank_reference_number",
			"tag": "PartialPaymentReferenceIdentifier",
			"width": 120
		},
		{
			"field": "co.record_id",
			"name_fi": "Record id",
			"width": 110
		},
		{
			"field": "co.modify_id",
			"name": "Modify id",
			"width": 110
		}
	],
	"column-": [
		{
			"field": "co.name_2",
			"name_fi": "Nimi 2",
			"width": 220
		}
	]
}
